@()(implicit lang:Lang)

<span>
<div ng-controller="groupGroupsController" class="queueGroupsGroups">
    <ul>
        <li ng-repeat="groupOfGroups in groupGroups[queue.id].groups"  class="groups">
            <div class="row" >
                <div class="col-md-1">
                    <div class="penalty text-right">
                        <em>{{groupOfGroups.penalty}}</em>
                    </div>
                    <div class="group-trash" droppable-group-trash ng-if="groupOfGroups.groups.length > 0">
                                                <span class="glyphicon glyphicon-trash glyph-grey"></span>
                    </div>
                </div>
                <div ng-class="{'col-md-1':groupOfGroups.groups.length === 0}" class="col-md-11 agentGroup" droppable-group>
                    <ul class="nav nav-pills group" >
                        <li ng-if="groupOfGroups.groups.length == 0 " >
                            <d3-empty-group class="groupD3"></d3-empty-group>
                        </li>
                        <li ng-repeat="group in groupOfGroups.groups ">
                            <div draggable-group>
                                @showGroup()
                                <d3-group data="group" class="groupD3"></d3-group>
                            </div>
                        </li>
                        @addGroup()
                    </ul>
                </div>
            </div>
        </li>
    </ul>
</div>
</span>